package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussMerchantBaseInfo;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

@Component
@Mapper
public interface TbPlussMerchantBaseInfoMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussMerchantBaseInfo record);

    int insertSelective(TbPlussMerchantBaseInfo record);

    TbPlussMerchantBaseInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TbPlussMerchantBaseInfo record);

    int updateByPrimaryKey(TbPlussMerchantBaseInfo record);

    TbPlussMerchantBaseInfo selectByUserId(String userId);

    TbPlussMerchantBaseInfo selectByMerchantcode(String merchantcode);
}